package org.w3c.rdfpic.core;

/**
 *For all those that want to know when the image is changed, or a new one is added etc.
 */

public interface ImgListener
{
    /**
     * Is called when a load request is put. (not from load-thread).
     * @param newindex Index of the file being loaded.
     */
    public void isJumping(int newindex);//all info about image is unavailable while loading another one.
    /**
     * Is called when the load is finished. (from load-thread).
     * @param errMsg null on success, explanation on error.
     */
    public void hasJumped(String errMsg);//the now loaded image is different
    /**
     * Is called when the vector of images has changed. For example the active image has a new index,
     * or an image has been added/removed/rearranged.
     */
    public void imgVUpdate();
}
